Package org.springframework.security.web.authentication.preauth

# Class PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails

java.lang.Object
org.springframework.security.web.authentication.WebAuthenticationDetails
org.springframework.security.web.authentication.preauth.PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails

All Implemented Interfaces:
  `Serializable`, `org.springframework.security.core.authority.GrantedAuthoritiesContainer`

public class PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails extends WebAuthenticationDetails implements org.springframework.security.core.authority.GrantedAuthoritiesContainer
This WebAuthenticationDetails implementation allows for storing a list of pre-authenticated Granted Authorities.

Since:
  2.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails(jakarta.servlet.http.HttpServletRequest request, Collection<? extends org.springframework.security.core.GrantedAuthority> authorities)`

## Method Summary

Modifier and Type
Method
Description
`List<org.springframework.security.core.GrantedAuthority>`
`getGrantedAuthorities()`
`String`
`toString()`

### Methods inherited from class org.springframework.security.web.authentication.WebAuthenticationDetails

`equals, getRemoteAddress, getSessionId, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails

public PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails(jakarta.servlet.http.HttpServletRequest request, Collection<? extends org.springframework.security.core.GrantedAuthority> authorities)

## Method Details

### getGrantedAuthorities

public List<org.springframework.security.core.GrantedAuthority> getGrantedAuthorities()

Specified by:
  `getGrantedAuthorities` in interface `org.springframework.security.core.authority.GrantedAuthoritiesContainer`

### toString

public String toString()

Overrides:
  `toString` in class `WebAuthenticationDetails`